import { useEffect } from "react";
import { useDispatch } from "react-redux";
import { useParams } from "react-router-dom";
import { actionFindOnePost } from "../../actions";
import CPostItem from "./PostItem";


const Post = () => {
    const params = useParams();
    const id = params.id;
    const dispatch = useDispatch();
    useEffect(() => {
      dispatch(actionFindOnePost(id))  
    },[id])
    return(
        <div className="flex mx-auto px-4 justify-center items-center p-6 xl:container xls:mx-auto">
            <CPostItem/>
        </div>
    )
}



export default Post;