import { useEffect } from "react";
import { useDispatch } from "react-redux";
import { useParams } from "react-router-dom";
import { actionAboutUser, actionUserPost } from "../../actions";
import CUserItem from "./UserItem";

const User = () => {

    const params = useParams();
    const id = params.id
    const dispatch = useDispatch()
useEffect(() => {
    dispatch(actionAboutUser(id))
    dispatch(actionUserPost(id))
},[id])
    return(
        <div className="lg:w-8/12 lg:mx-auto mb-8">
            <CUserItem/>            
        </div>
    )
}


export default User;