
import './App.scss';
import RoutedHeader from './components/Header/Header';
import CMain from './components/MainPage/Main';
import CLoginForm from './components/LoginPage/Login';
import CRegister from './components/RegisterPage/Register';
import {BrowserRouter as Router, Switch, Route} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import { Provider } from 'react-redux';
import store from './reducers';
import { Redirect } from 'react-router-dom';
const history = createHistory();


function App() {
    
  return (
    <Router history={history}>
      <Provider store={store}>
      
    <div className="App">
      <Route path="/login" exact component={CLoginForm}/>
      <Route exact path="/register" component={CRegister}/>
      <RoutedHeader />
      <CMain/>
      {/* localStorage.getItem("authToken") */
      /* store.getState().auth.payload?.sub?.id ? <Redirect to="/"/> : <Redirect to="/login"/> */}
        {/* <Route exact path="/login" component={CLoginForm}/>
        <Route exact path="/register" component={CRegister}/> */}
      {/* {store.auth.payload?.sub?.id ? <Redirect to="/"/> : <Redirect to="/login"/>} */}  
        {/* <Route exact path="/" component={Header}/>
        <Route exact path="/" component={CMain}/>
        <Route exact path="/collections" component={Header}/>
        <Route exact path="/collections" component={CMain}/>
        <Route exact path="/createpost" component={CMain}/>
        <Route exact path="/settings" component={Header}/>
        <Route exact path="/settings" component={CMain}/>
        <Route exact path="/user/:id" component={Header}/>
        <Route exact path="/user/:id" component={CMain}/>
        <Route exact path="/post/:id" component={Header}/>
        <Route exact path="/post/:id" component={CMain}/> */}
    </div>
    </Provider>
    </Router>
  );
}

export default App;
